REM ========================================================
REM   Driver + Appx deliverable installation
REM 
REM   Template Version: V1.00
REM ========================================================

REM %Description of deliverable%
@ECHO OFF
SET APP_LOG="%~dp0\%~n0.log"

ECHO ############################################################# >> %APP_LOG%
ECHO  [%DATE%]                                                     >> %APP_LOG%
ECHO  [%TIME%] Beginning of the %~nx0                              >> %APP_LOG%
ECHO ############################################################# >> %APP_LOG%

REM ------------------- Script Entry ------------------------

setlocal enableDelayedExpansion
for /f "delims=" %%G in ('forfiles /s /m AcerFingerprintNTService.exe /c "cmd /c echo @path"') do (
    set NT_name=%%G 
)
for /f "delims=" %%G in ('forfiles /s /m WbfUsbDriver.inf /c "cmd /c echo @path"') do (
    set base_name=%%G 
)
for /f "delims=" %%G in ('forfiles /s /m WbfUsbDriver_component.inf /c "cmd /c echo @path"') do (
    set component_name=%%G
)
for /f "delims=" %%G in ('forfiles /s /m WbfUsbDriver_extension.inf /c "cmd /c echo @path"') do (
    set extension_name=%%G
)
for /f "delims=" %%G in ('forfiles /s /m *.appx /c "cmd /c echo @path"') do (
    set appx_name=%%G
)	
for /f "delims=" %%G in ('forfiles /s /m *.xml /c "cmd /c echo @path"') do (
    set xml_name=%%G
)

echo:
echo === Install Driver ===
pnputil /add-driver %base_name% /install
pnputil /add-driver %extension_name% /install
pnputil /add-driver %component_name% /install

:INSTALL
echo [%TIME%] DISM.exe /Online /Add-ProvisionedAppxPackage >> %APP_LOG%
echo:
echo === Preinstall appx ===
DISM.exe /Online /Add-ProvisionedAppxPackage /PackagePath:%appx_name% /LogPath:"%~dp0\dism.log" /LicensePath:%xml_name% /Region="all"
if errorlevel 1 echo [%TIME%] DISM command failed. >> %APP_LOG% & goto RESULTFAILED
echo [%TIME%] DISM command success. >> %APP_LOG%

endlocal
echo System Reboot is needed to complete install operations!
GOTO END

:RESULTFAILED
ECHO ERRRORLEVEL=%ERRORLEVEL% >> %APP_LOG%
ECHO ERRRORLEVEL=%ERRORLEVEL% >> "%~dp0\FAILURE.FLG"
GOTO END

:END
EXIT /B %errorlevel%
